FreeMat

- Main Page
- Related Pages

vtkNetworkHierarchy

Section: Visualization Toolkit Infovis Classes

# Usage

Use SetInputArrayToProcess(0, ...) to set the array to that has the network ip addresses. Currently this array must be a vtkStringArray.

To create an instance of class vtkNetworkHierarchy, simply invoke its constructor as follows

      obj = vtkNetworkHierarchy

# Methods

The class vtkNetworkHierarchy has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkNetworkHierarchy class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkNetworkHierarchy = obj.NewInstance ()`
- `vtkNetworkHierarchy = obj.SafeDownCast (vtkObject o)`
- `string = obj.GetIPArrayName ()` - Used to store the ip array name
- `obj.SetIPArrayName (string )` - Used to store the ip array name